Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts.type1
Class PostscriptParser.PSDictionary

    java.lang.Object
      org.apache.fop.fonts.type1.PostscriptParser.PSElement
          org.apache.fop.fonts.type1.PostscriptParser.PSDictionary

Enclosing class:
  PostscriptParser

    public class PostscriptParser.PSDictionary

extends PostscriptParser.PSElement

An object representing a Postscript dictionary

Field Summary
`protected int` | `binaryLength`

Fields inherited from class org.apache.fop.fonts.type1.PostscriptParser.PSElement
`binaryEntries, endPoint, hasMore, operator, readBinary, tokens`

Constructor Summary
`PostscriptParser.PSDictionary(java.lang.String operator, int startPoint)`

Method Summary
`java.util.HashMap<java.lang.String,java.lang.String>` | `getEntries()` Gets a map of dictionary entries identified by their name
`void` | `parseByte(byte cur, int pos)` Passes responsibility for processing the byte stream to the PostScript object
`void` | `parseToken(java.lang.String token, int curPos)` Delegates the parse routine to a sub class

Methods inherited from class org.apache.fop.fonts.type1.PostscriptParser.PSElement
`getBinaryEntries, getBinaryEntryByIndex, getEndPoint, getFoundUnexpected, getOperator, getStartPoint, hasMore, isInteger, parse, setFoundUnexpected`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### binaryLength

    protected int binaryLength

Constructor Detail

### PostscriptParser.PSDictionary

    public PostscriptParser.PSDictionary(java.lang.String operator,
                                         int startPoint)

Method Detail

### parseToken

    public void parseToken(java.lang.String token,
                           int curPos)

  Description copied from class: `PostscriptParser.PSElement`
  Delegates the parse routine to a sub class

  Specified by:
    `parseToken` in class `PostscriptParser.PSElement`
  Parameters:
    `token` - The token which to parse

### getEntries

    public java.util.HashMap<java.lang.String,java.lang.String> getEntries()

  Gets a map of dictionary entries identified by their name

  Returns:
    Returns the dictionary entries as a map

### parseByte

    public void parseByte(byte cur,
                          int pos)

  Description copied from class: `PostscriptParser.PSElement`
  Passes responsibility for processing the byte stream to the PostScript object

  Specified by:
    `parseByte` in class `PostscriptParser.PSElement`
  Parameters:
    `cur` - The byte currently being read
    `pos` - The position of the given byte

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.